treewide: streamline bash error reporting

- Show the script file name
- Use common line number format that allows opening
  file at line in editors
This commit is contained in:
Erik Arvstedt 2025-06-01 23:32:29 +02:00
parent 538b2dcfae
commit a52bf46031
No known key found for this signature in database
GPG key ID: 33312B944DD97846
2 changed files with 2 additions and 2 deletions

View file

@ -4,7 +4,7 @@ set -euo pipefail
scriptDir=$(cd "${BASH_SOURCE[0]%/*}" && pwd)
trap 'echo "Error at ${BASH_SOURCE[0]}, line $LINENO"' ERR
trap 'echo "Error at ${BASH_SOURCE[0]}:$LINENO"' ERR
repo=fort-nix/nix-bitcoin
if [[ ! -v version ]]; then